Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.forms.spi
Class XDataFormImpl

    java.lang.Object
      org.jivesoftware.openfire.forms.spi.XDataFormImpl

    public class XDataFormImpl

extends Object

A concrete DataForm capable of sending itself to a writer and recover its state from an XMPP stanza. XDataForms are packets of the form: ``

     <x xmlns='jabber:x:data' type='{form-type}'>
     <title/>
     <instructions/>
     <field var='field-name'
           type='{field-type}'
           label='description'>
       <desc/>
       <required/>
       <value>field-value</value>
       <option label='option-label'><value>option-value</value></option>
       <option label='option-label'><value>option-value</value></option>
     </field>
     </x>

An XDataFormImpl can contain zero or more XFormFieldImpl 'field' fragments.

To learn more follow this link: JEP-04.

Author:
  gdombiak

Constructor Summary
`XDataFormImpl()`
`XDataFormImpl(String type)`

Method Summary
`void` | `addField(FormField field)`
`void` | `addInstruction(String instruction)`
`void` | `addItemFields(ArrayList itemFields)`
`void` | `addReportedField(FormField field)`
`org.dom4j.Element` | `asXMLElement()`
`FormField` | `getField(String variable)`
`Iterator` | `getFields()`
`int` | `getFieldsSize()`
`Iterator` | `getInstructions()`
`String` | `getName()`
`String` | `getNamespace()`
`String` | `getTitle()`
`String` | `getType()`
`void` | `parse(org.dom4j.Element formElement)`
`void` | `setInstructions(List instructions)`
`void` | `setName(String name)`
`void` | `setNamespace(String namespace)`
`void` | `setTitle(String title)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XDataFormImpl

    public XDataFormImpl()

### XDataFormImpl

    public XDataFormImpl(String type)

Method Detail

### setTitle

    public void setTitle(String title)

### setInstructions

    public void setInstructions(List instructions)

### getType

    public String getType()

### getTitle

    public String getTitle()

### getInstructions

    public Iterator getInstructions()

### getField

    public FormField getField(String variable)

### getFields

    public Iterator getFields()

### getFieldsSize

    public int getFieldsSize()

### addInstruction

    public void addInstruction(String instruction)

### addField

    public void addField(FormField field)

### addReportedField

    public void addReportedField(FormField field)

### addItemFields

    public void addItemFields(ArrayList itemFields)

### getNamespace

    public String getNamespace()

### setNamespace

    public void setNamespace(String namespace)

### getName

    public String getName()

### setName

    public void setName(String name)

### asXMLElement

    public org.dom4j.Element asXMLElement()

### parse

    public void parse(org.dom4j.Element formElement)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Jive Software.